extends "res://Screen.gd"

signal return_to_title

# Matches the boolean state of the sound/music settings to the matching
# button icon.
var sound_buttons = {true: preload("res://buttons/audioOn.png"),
                     false: preload("res://buttons/audioOff.png")}
var music_buttons = {true: preload("res://buttons/musicOn.png"),
                     false: preload("res://buttons/musicOff.png")}

func _on_SoundButton_pressed():
	# set sound enabled/disabled in your game (see settings.gd script)
	settings.sound_enabled = !settings.sound_enabled
	$Margins/Main/Buttons/SoundButton.texture_normal = sound_buttons[settings.sound_enabled]

func _on_MusicButton_pressed():
	# set music enabled/disabled in your game (see settings.gd script)
	settings.music_enabled = !settings.music_enabled
	$Margins/Main/Buttons/MusicButton.texture_normal = music_buttons[settings.music_enabled]

func _on_ReturnButton_pressed():
	emit_signal('return_to_title')
